Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - u -

- uncompress() : Lucene::FieldsReader
- uncompressString() : Lucene::FieldsReader
- undeleteAll() : Lucene::IndexReader
- unionCount() : Lucene::OpenBitSet
- unlock() : Lucene::IndexWriter , Lucene::LuceneSync , Lucene::Synchronize
- unlockAll() : Lucene::Synchronize
- unsignedShift() : Lucene::MiscUtils
- update() : Lucene::BufferedDeletes , Lucene::FieldInfo
- updateDocument() : Lucene::DocumentsWriter , Lucene::IndexWriter
- updateFlushedDocCount() : Lucene::DocumentsWriter
- updateGeneration() : Lucene::SegmentInfos
- updatePendingMerges() : Lucene::IndexWriter
- updateTop() : Lucene::HitQueueBase , Lucene::PriorityQueue< TYPE >
- upgradeReadToWrite() : Lucene::IndexWriter
- upHeap() : Lucene::PriorityQueue< TYPE > , Lucene::ScorerDocQueue
- useCompoundDocStore() : Lucene::LogMergePolicy , Lucene::MergePolicy
- useCompoundFile() : Lucene::LogMergePolicy , Lucene::MergePolicy
- usesCompoundFile() : Lucene::SegmentReader
- UTF16Decoder() : Lucene::UTF16Decoder
- utf16to16() : Lucene::UTF16Decoder
- utf16to32() : Lucene::UTF16Decoder
- utf16to8() : Lucene::UTF8Encoder
- utf32to8() : Lucene::UTF8Encoder
- UTF8Decoder() : Lucene::UTF8Decoder
- UTF8DecoderStream() : Lucene::UTF8DecoderStream
- UTF8Encoder() : Lucene::UTF8Encoder
- UTF8EncoderStream() : Lucene::UTF8EncoderStream
- utf8to16() : Lucene::UTF8Decoder
- utf8to32() : Lucene::UTF8Decoder

clucene.sourceforge.net